## edu.stanford.nlp.ling
Class CoreAnnotations.CorefDestAnnotation

    java.lang.Object
      edu.stanford.nlp.ling.CoreAnnotations.CorefDestAnnotation

All Implemented Interfaces:
  CoreAnnotation<IntTuple>, TypesafeMap.Key<CoreMap,IntTuple>

Enclosing class:
  CoreAnnotations

    public static class CoreAnnotations.CorefDestAnnotation

extends Object
implements CoreAnnotation<IntTuple>

Destination of the coreference link for this word (if any): it contains the index of the sentence and the index of the word that are the end of this coref link Both indeces start at 1 The sentence index is IntTuple.get(0); the token index in the sentence is IntTuple.get(1)

Constructor Summary
`CoreAnnotations.CorefDestAnnotation()`

Method Summary
`Class<IntTuple>` `getType()` Returns the type associated with this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAnnotations.CorefDestAnnotation

    public CoreAnnotations.CorefDestAnnotation()

Method Detail

### getType

    public Class<IntTuple> getType()

  Description copied from interface: `CoreAnnotation`
  Returns the type associated with this annotation. This method must return the same class type as its value type parameter. It feels like one should be able to get away without this method, but because Java erases the generic type signature, that info disappears at runtime.

  Specified by:
    `getType` in interface `CoreAnnotation<IntTuple>`

Stanford NLP Group